Create an add-on definition
import requests
url = "https://platform.ankra.app/api/v1/org/helm/addon-definitions"
payload = {
"name": "<string>",
"display_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', display_name: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/helm/addon-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/helm/addon-definitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"display_name": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"website_url": "<string>",
"documentation_url": "<string>",
"icon_url": "<string>",
"category": "<string>",
"match_chart_names": [
"<string>"
],
"match_keywords": [
"<string>"
],
"match_home_url_prefixes": [
"<string>"
],
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Helm
Create an add-on definition
Creates an organisation add-on definition. A name already in use answers 409; invalid fields answer 400.
POST
/
api
/
v1
/
org
/
helm
/
addon-definitions
Create an add-on definition
import requests
url = "https://platform.ankra.app/api/v1/org/helm/addon-definitions"
payload = {
"name": "<string>",
"display_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', display_name: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/helm/addon-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/helm/addon-definitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"display_name": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"website_url": "<string>",
"documentation_url": "<string>",
"icon_url": "<string>",
"category": "<string>",
"match_chart_names": [
"<string>"
],
"match_keywords": [
"<string>"
],
"match_home_url_prefixes": [
"<string>"
],
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Lowercase slug; ignored on update (the path names the definition).
Maximum string length:
100Pattern:
^[a-z0-9-]+$Maximum string length:
200Chart names this add-on matches.
Chart keywords this add-on matches.
Chart home URL prefixes this add-on matches.
Response
The created definition.
The wire shape of a definition.